Package Details: nosqlbooster-mongodb 9.0.0-1

Git Clone URL: https://aur.archlinux.org/nosqlbooster-mongodb.git (read-only, click to copy)
Package Base: nosqlbooster-mongodb
Description: Shell-centric GUI tool for MongoDB
Upstream URL: https://nosqlbooster.com
Licenses: custom
Submitter: Darkhogg
Maintainer: Darkhogg
Last Packager: Darkhogg
Votes: 14
Popularity: 0.68
First Submitted: 2018-08-05 13:42 (UTC)
Last Updated: 2024-07-10 18:04 (UTC)

Required by (0)

Sources (2)

Latest Comments

1 2 Next › Last »

stfm5 commented on 2023-04-03 12:26 (UTC) (edited on 2023-04-03 12:28 (UTC) by stfm5)

In case of 404 errors:

  1. Update pkgver to be 8.0.8
  2. Change the md5, sha1 and sha256 sums to md5sums=('bc4e2545869944564813c9f007bc3b0d' 'fab008e596133037239e4a206bba3ccf') sha1sums=('29fbdb1f909f60236dbad67b3a3bf9c6410efa1a''de718440354eb3c4844eda1b90bf092dcec4cf87') sha256sums=('ffd9c939f60d86a6171ee1d4d30c3b5b5efc627f1acdb59d1fed19fcaf2d17aa' '1640d17baeee24279f7d998719e37a331c8e12627c755b4b250f1c95b16f032f')

OR

Download the 8.0.8 image from the official website and calculate the sums on that AppImage and replace the sums in the PKGBUILD file

Zoddo commented on 2021-12-26 15:00 (UTC)

This error popped up on my installation:

[609726:1226/153948.268656:FATAL:setuid_sandbox_host.cc(158)] The SUID sandbox helper binary was found, but is not configured 
correctly. Rather than run without sandboxing I'm aborting now. You need to make sure that /opt/nosqlbooster-mongodb/chrome-sandbox is owned by root and has mode 4755.

I had to add this line in the package() step:

chmod u+s "${pkgdir}/opt/nosqlbooster-mongodb/chrome-sandbox" 

Also, it looks like this package can be built and run fine without gconf.

I believe it's an old dependency that hasn't been removed. If it's not needed anymore, could you remove it from the dependencies list? :)

djaircarvalho commented on 2021-01-12 20:09 (UTC) (edited on 2021-01-12 20:10 (UTC) by djaircarvalho)

There is a new URL for download https://s3.mongobooster.com/download/releasesv6/nosqlbooster4mongo-${pkgver}.AppImage. The previous one is not working.

phnx47 commented on 2020-11-02 15:23 (UTC)

@Darkhogg May I be added as a co-maintainer?

<deleted-account> commented on 2019-09-25 11:57 (UTC)

Hi. The version 5.2.0 is not available from upstream. The new version is 5.2.1. The appimage link is https://nosqlbooster.com/s3/download/releasesv5/nosqlbooster4mongo-5.2.1.AppImage

donsmith commented on 2019-06-10 06:34 (UTC) (edited on 2019-06-10 06:34 (UTC) by donsmith)

If you're getting a 404 on the 5.1.5 AppImage, you need to edit the PKGBUILD before the install. The checksums for 5.1.8 (the latest version today) are:

md5sum: 24181dfd1f7786e92e3ebe8fbc383be6

sha1sum: 1caba9e8901c3816302c23a2d50be489635eff33

sha256sum: 27fb7e6bff10af0f99fc793e37173d1a2a8006a7e546042751cab02518272c59

squalou commented on 2019-02-25 10:08 (UTC) (edited on 2019-02-25 16:10 (UTC) by squalou)

EDIT : fixed, well done, thank you.

Hi, I'm getting this error, looks like the file has been updated to 5.1.4

I flag the package as outdated in the meantime

curl: (22) The requested URL returned error: 404 Not Found ==> ERROR: Failure while downloading https://nosqlbooster.com/s3/download/releasesv5/nosqlbooster4mongo-5.1.1.AppImage

Musikolo commented on 2019-01-28 04:20 (UTC) (edited on 2019-01-28 04:20 (UTC) by Musikolo)

@rethus, the error you are getting (permission error) suggests you are not using the chroot created by the Arch Build System (ABS). So, it seems you are doing something weird. I would recommend you to read these 2 pages (at least the first half):

This said, please try the following steps to see if it solves your issue:

wget https://aur.archlinux.org/cgit/aur.git/snapshot/nosqlbooster-mongodb.tar.gz
tar xvfz nosqlbooster-mongodb.tar.gz
cd nosqlbooster-mongodb
makepkg -crsi

I hope it helps!

rethus commented on 2018-12-14 10:43 (UTC)

On current update, I got the same error like described on 2018-11-20 08:33